{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
  {% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
{{ form.media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
      <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
</div>
{% endblock %}

{% block title %} {% trans 'Intranet de Docentes UDL' %} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

<form action="" method="POST" >{% csrf_token %}

<fieldset class="module">
<h2>Asistencia al Grupo {{ periodocurso.Grupo|escape }} - {{ periodocurso.Curso.Nombre|escape }} - {{ periodocurso.Curso.Carrera.Carrera|escape }}</h2>
<div class="form-row">
	<div class="field-box">
        {% if existe %}
           <ul class="errorlist"><li>"Ya existe una asistencia con esta fecha y horario"</li></ul>
        {% endif %}
        {{ form.Fecha.errors }}
	{{ form.Fecha.label_tag }}:
        {{ form.Fecha }}
	</div>
</div>
<div class="form-row">
	<div class="field-box">
	Horario:
        <SELECT NAME="horario" SIZE=1>
               {% for horario in horarios %}
                   <OPTION VALUE="{{ horario.id }}">{{ horario.Etiqueta }}</OPTION>
               {% endfor %}
        </SELECT>
	</div>
        <div class="field-box">
        {{ form.PeriodoCurso }}
	</div>
</div>
</fieldset>

<div id="content-main">
  <h2>Asistencia al Grupo {{ periodocurso.Grupo|escape }} - {{ periodocurso.Curso.Nombre|escape }} - {{ periodocurso.Curso.Carrera.Carrera|escape }}</h2>
      {% block result_list %}
        <div class = "module aligned" id="changelist" >
        {% if alumnos %}
        <table>
        <THEAD>
        <TH>Nº</TH>
        <TH>Alumno</TH>
        <TH>Estado</TH>
	</THEAD>
        <TBODY>
        {% for alumno in alumnos %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
           <TD>{{ alumno.MatriculaCiclo.Alumno|escape }}</TD>
           <TD>{% if alumno.Estado %}
           <SELECT NAME="{{ alumno.id }}" SIZE=1>
               <OPTION VALUE="Asistio">Asistió</OPTION>
               <OPTION VALUE="Falto">Faltó</OPTION>
               <OPTION VALUE="Tardanza">Tardanza</OPTION>
           </SELECT>
               {% else %}
                   {% if alumno.Convalidado %}
                   Convalidado
                   {% else %}
                   Retirado
                   {% endif %}
               {% endif %}
           </TD>
        </TR>
        {% endfor%}
        </TBODY>
        </table>
        </div>
       {% endif %}
       {% endblock %}
</div>
<div class="submit-row">
        <input class="default" type="submit" value="Grabar Asistencia" />
</div>
</form>
{% endblock %}
